OfferUp: Search
Search from OfferUp as JSON. 1 credit per successful call.
GET /v1/offerup/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Optional | Up to 200 characters |
cid | string | Optional | Up to 50 characters |
category_id | string | Optional | Up to 50 characters |
zipcode | string | Optional | Any |
lat | number | Optional | Any |
lon | number | Optional | Any |
radius | string | Optional | 5, 10, 20, 30, 50 |
price_min | number | Optional | Any |
price_max | number | Optional | Any |
condition | string | Optional | NEW, OPEN_BOX, REFURBISHED, USED, BROKEN, OTHER |
sort | string | Optional | best_match, -posted, distance, price, -price |
page_cursor | string | Optional | Up to 4,000 characters |
search_session_id | string | Optional | Up to 200 characters |
Example request
curl "https://api.perceptlayer.com/v1/offerup/search?q=iphone&zipcode=77002&radius=30&sort=-posted" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.